- Added
- [ devices ]
- [ organizations ]
- assurance
- certificates
- Delete a certificate authority
- List certificate authorities for an organization
- Create a certificate authority for an organization
- Trust a newly created certificate authority (transition from untrusted to trusted).
- Return the status and result of a certificate authority job.
- Revoke a trusted feature certificate authority.
- Return full certificate revocation lists (CRLs) for the organization's certificate authorities
- devices
- Changed
- [ appliance ]
- [ camera ]
- [ campusGateway ]
- [ clients ]
- [ devices ]
- [ firmwareUpgrades ]
- [ floorPlans ]
- [ organizations ]
- actionBatches
- admins
- appliance
- Create a new local DNS record
- Create a new split DNS profile
- Create a new intrusion policy for the organization.
- Create a rule group override for an intrusion policy.
- Update a rule group override for an intrusion policy.
- Create a rule override for an intrusion policy.
- Update a rule override for an intrusion policy.
- Return the configured third-party VPN peers for an organization.
- Update the third party VPN peers for an organization
- assurance
- campusGateway
- cellularGateway
- inventory
- licensing
- networks
- policies
- Create an Organization-Wide Policy Firewall Rule
- Update an Organization-Wide Policy Firewall Rule
- Assign adaptive policy groups to a policy
- Remove adaptive policy groups from a policy
- Assign VLANs to a policy
- Remove VLANs from a policy
- Commit staged Organization-Wide Policy Ruleset Assignments
- Assign Network Enforcement Targets to an Organization-Wide Policy
- Remove Network Enforcement Targets from an Organization-Wide Policy
- sase
- wireless
- Returns the current Air Marshal settings for this network
- List the most recent Ethernet link speed, duplex, aggregation and power mode and status information for wireless devices.
- Add new receiver for scanning API
- Add new broker config for wireless MQTT
- Create isolation allow list MAC entry for this organization
- Create a new SSID profile in an organization
- Assigns an SSID profile to an SSID in the organization
- [ settings ]
- [ sm ]
- [ switch ]
- [ vlanProfiles ]
- [ wireless ]
Version v1.75.1 to v1.76.0
Summary of Changes
12 - New
88 - Updated
862 - Total Endpoints
586 - Total Paths
Added
[ devices ]
certificates
Revoke a device certificate
Operation ID: revokeDeviceCertificate
PATH /devices/{serial}/certificates/{certificateSerial}/revoke
- Path added
- New endpoint
POST
/devices/{serial}/certificates/{certificateSerial}/revoke
liveTools
Enqueue a live tool job to fetch route details from a device.
Operation ID: createDeviceLiveToolsRouteDetail
PATH /devices/{serial}/liveTools/route/details
- Path added
- New endpoint
POST
/devices/{serial}/liveTools/route/details
Return a route details live tool job for a device.
Operation ID: getDeviceLiveToolsRouteDetail
PATH /devices/{serial}/liveTools/route/details/{jobId}
- Path added
- New endpoint
GET
/devices/{serial}/liveTools/route/details/{jobId}
[ organizations ]
assurance
Summarize wireless connection counts by network
Operation ID: getOrganizationAssuranceWirelessExperienceSuccessfulConnectionsByNetwork
PATH /organizations/{organizationId}/assurance/wireless/experience/successfulConnections/byNetwork
- Path added
- New endpoint
GET
/organizations/{organizationId}/assurance/wireless/experience/successfulConnections/byNetwork
certificates
Delete a certificate authority
Operation ID: deleteOrganizationCertificatesAuthorities
PATH /organizations/{organizationId}/certificates/authorities
- Path added
- New endpoint
DELETE
/organizations/{organizationId}/certificates/authorities
List certificate authorities for an organization
Operation ID: getOrganizationCertificatesAuthorities
PATH /organizations/{organizationId}/certificates/authorities
- Path added
- New endpoint
GET
/organizations/{organizationId}/certificates/authorities
Create a certificate authority for an organization
Operation ID: createOrganizationCertificatesAuthority
PATH /organizations/{organizationId}/certificates/authorities
- Path added
- New endpoint
POST
/organizations/{organizationId}/certificates/authorities
Trust a newly created certificate authority (transition from untrusted to trusted).
Operation ID: updateOrganizationCertificatesAuthorities
PATH /organizations/{organizationId}/certificates/authorities
- Path added
- New endpoint
PUT
/organizations/{organizationId}/certificates/authorities
Return the status and result of a certificate authority job.
Operation ID: getOrganizationCertificatesAuthoritiesJob
PATH /organizations/{organizationId}/certificates/authorities/jobs/{jobId}
- Path added
- New endpoint
GET
/organizations/{organizationId}/certificates/authorities/jobs/{jobId}
Revoke a trusted feature certificate authority.
Operation ID: revokeOrganizationCertificatesAuthorities
PATH /organizations/{organizationId}/certificates/authorities/revoke
- Path added
- New endpoint
POST
/organizations/{organizationId}/certificates/authorities/revoke
Return full certificate revocation lists (CRLs) for the organization's certificate authorities
Operation ID: getOrganizationCertificatesRevocationLists
PATH /organizations/{organizationId}/certificates/revocationLists
- Path added
- New endpoint
GET
/organizations/{organizationId}/certificates/revocationLists
devices
List device certificates for the organization
Operation ID: getOrganizationDevicesCertificates
PATH /organizations/{organizationId}/devices/certificates
- Path added
- New endpoint
GET
/organizations/{organizationId}/devices/certificates
Changed
[ appliance ]
interfaces
Create wired L3 interface
Operation ID: createNetworkApplianceInterfacesL3
POST /networks/{networkId}/appliance/interfaces/l3
- the request property
ipv4/addressbecame required
- the request property
ipv4/subnetbecame required
prefixes
Add a static delegated prefix from a network
Operation ID: createNetworkAppliancePrefixesDelegatedStatic
POST /networks/{networkId}/appliance/prefixes/delegated/statics
- the request property
origin/typebecame required
Update a static delegated prefix from a network
Operation ID: updateNetworkAppliancePrefixesDelegatedStatic
PUT /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}
- the request property
origin/typebecame required
sdwan
Update SDWAN internet traffic preferences for an MX network
Operation ID: updateNetworkApplianceSdwanInternetPolicies
PUT /networks/{networkId}/appliance/sdwan/internetPolicies
- added the new optional request property
wanTrafficUplinkPreferences/items/vrf
- added the optional property
wanTrafficUplinkPreferences/items/vrfto the response with the200status
security
Set the supported intrusion settings for an MX network
Operation ID: updateNetworkApplianceSecurityIntrusion
PUT /networks/{networkId}/appliance/security/intrusion
- the request property
policy/idbecame required
- the request property
protectedNetworks/useDefaultbecame required
singleLan
Update single LAN configuration
Operation ID: updateNetworkApplianceSingleLan
PUT /networks/{networkId}/appliance/singleLan
- the request property
vrf/idbecame required
ssids
Update the attributes of an MX SSID
Operation ID: updateNetworkApplianceSsid
PUT /networks/{networkId}/appliance/ssids/{number}
- the request property
dot11w/enabledbecame required
trafficShaping
Update the traffic shaping settings for an MX network
Operation ID: updateNetworkApplianceTrafficShaping
PUT /networks/{networkId}/appliance/trafficShaping
- the request property
globalBandwidthLimits/limitDownbecame required
- the request property
globalBandwidthLimits/limitUpbecame required
Update uplink selection settings for an MX network
Operation ID: updateNetworkApplianceTrafficShapingUplinkSelection
PUT /networks/{networkId}/appliance/trafficShaping/uplinkSelection
- the request property
failoverAndFailback/immediatebecame required
Update VPN exclusion rules for an MX network.
Operation ID: updateNetworkApplianceTrafficShapingVpnExclusions
PUT /networks/{networkId}/appliance/trafficShaping/vpnExclusions
- added the new optional request property
applicationCategoryMapping
umbrella
Connect a Cisco Umbrella account to this network
Operation ID: connectNetworkApplianceUmbrellaAccount
POST /networks/{networkId}/appliance/umbrella/account/connect
- the request property
api/keybecame required
- the request property
api/secretbecame required
Add one Cisco Umbrella DNS security policy to an MX network by policy ID
Operation ID: addNetworkApplianceUmbrellaPolicies
POST /networks/{networkId}/appliance/umbrella/policies/add
- the request property
policy/idbecame required
Remove one Cisco Umbrella DNS security policy from an MX network by policy ID
Operation ID: removeNetworkApplianceUmbrellaPolicies
POST /networks/{networkId}/appliance/umbrella/policies/remove
- the request property
policy/idbecame required
vpn
Return the site-to-site VPN settings of an MX network or configuration template.
Operation ID: getNetworkApplianceVpnSiteToSiteVpn
GET /networks/{networkId}/appliance/vpn/siteToSiteVpn
- added the optional property
natTraversalto the response with the200status
- added the optional property
subnets/items/nat/legacyto the response with the200status
Update the site-to-site VPN settings of an MX network or configuration template in NAT mode
Operation ID: updateNetworkApplianceVpnSiteToSiteVpn
PUT /networks/{networkId}/appliance/vpn/siteToSiteVpn
- added the new optional request property
confirmed
- added the new optional request property
natTraversal
- added the new optional request property
subnets/items/nat/legacy
- the request property
subnets/items/localSubnetbecame optional
- added the optional property
natTraversalto the response with the200status
- added the optional property
subnets/items/nat/legacyto the response with the200status
[ camera ]
wirelessProfiles
Creates a new camera wireless profile for this network.
Operation ID: createNetworkCameraWirelessProfile
POST /networks/{networkId}/camera/wirelessProfiles
- the request property
ssid/authModebecame required
- the request property
ssid/namebecame required
[ campusGateway ]
clusters
Create a cluster and add campus gateways to it
Operation ID: createNetworkCampusGatewayCluster
POST /networks/{networkId}/campusGateway/clusters
- the request property
nameservers/addressesbecame required
ssids
Update the mDNS gateway settings and rules for a SSID and cluster
Operation ID: updateNetworkCampusGatewaySsidMdns
PUT /networks/{networkId}/campusGateway/ssids/{number}/mdns
- removed the enum constraint from the
rules/items/services/items/response property for the response status200
- removed the enum constraint from the request property
rules/items/services/items/
[ clients ]
provision
Provisions a client with a name and policy
Operation ID: provisionNetworkClients
POST /networks/{networkId}/clients/provision
- the request property
policiesBySecurityAppliance/devicePolicybecame required
[ devices ]
appliance
Update configurations for an appliance's specified port
Operation ID: createDeviceApplianceInterfacesPortsUpdate
POST /devices/{serial}/appliance/interfaces/ports/update
- the request property
personality/modebecame required
Update configurations for an appliance's specified port
Operation ID: updateDeviceApplianceInterfacesPort
PUT /devices/{serial}/appliance/interfaces/ports/{number}
- the request property
personality/modebecame required
camera
Assign wireless profiles to the given camera
Operation ID: updateDeviceCameraWirelessProfiles
PUT /devices/{serial}/camera/wirelessProfiles
- the request property
ids/primarybecame required
- the request property
ids/secondarybecame required
sensor
Assign one or more sensor roles to a given sensor or camera device.
Operation ID: updateDeviceSensorRelationships
PUT /devices/{serial}/sensor/relationships
- the request property
livestream/relatedDevicesbecame required
wireless
Return the ESL settings of a device
Operation ID: getDeviceWirelessElectronicShelfLabel
GET /devices/{serial}/wireless/electronicShelfLabel
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:read]was added to the API
Update the ESL settings of a device
Operation ID: updateDeviceWirelessElectronicShelfLabel
PUT /devices/{serial}/wireless/electronicShelfLabel
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:write]was added to the API
[ firmwareUpgrades ]
general
Update firmware upgrade information for a network
Operation ID: updateNetworkFirmwareUpgrades
PUT /networks/{networkId}/firmwareUpgrades
- the request property
upgradeWindow/dayOfWeekbecame required
- the request property
upgradeWindow/hourOfDaybecame required
- removed the enum value
snmp-device-access-checkof the request propertyfeatureLossAcknowledgements/items/removedFeatureCheckNames/items/
- added the new
snmp-auth-and-privacy-checkenum value to the request propertyfeatureLossAcknowledgements/items/removedFeatureCheckNames/items/
[ floorPlans ]
general
Upload a floor plan
Operation ID: createNetworkFloorPlan
POST /networks/{networkId}/floorPlans
- the request property
bottomLeftCorner/latbecame required
- the request property
bottomLeftCorner/lngbecame required
- the request property
bottomRightCorner/latbecame required
- the request property
bottomRightCorner/lngbecame required
- the request property
center/latbecame required
- the request property
center/lngbecame required
- the request property
topLeftCorner/latbecame required
- the request property
topLeftCorner/lngbecame required
- the request property
topRightCorner/latbecame required
- the request property
topRightCorner/lngbecame required
Update a floor plan's geolocation and other meta data
Operation ID: updateNetworkFloorPlan
PUT /networks/{networkId}/floorPlans/{floorPlanId}
- the request property
bottomLeftCorner/latbecame required
- the request property
bottomLeftCorner/lngbecame required
- the request property
bottomRightCorner/latbecame required
- the request property
bottomRightCorner/lngbecame required
- the request property
center/latbecame required
- the request property
center/lngbecame required
- the request property
topLeftCorner/latbecame required
- the request property
topLeftCorner/lngbecame required
- the request property
topRightCorner/latbecame required
- the request property
topRightCorner/lngbecame required
[ organizations ]
actionBatches
Return the list of action batches in the organization
Operation ID: getOrganizationActionBatches
GET /organizations/{organizationId}/actionBatches
- added the new optional
queryrequest parameterendingBefore
- added the new optional
queryrequest parameterperPage
- added the new optional
queryrequest parametersortOrder
- added the new optional
queryrequest parameterstartingAfter
- the response header
linkwas added for the status200
admins
List the dashboard administrators in this organization
Operation ID: getOrganizationAdmins
GET /organizations/{organizationId}/admins
- added the new
Cisco Customer Identityenum value to theitems/authenticationMethodresponse property for the response status200
- added the new
Cisco Unified Identityenum value to theitems/authenticationMethodresponse property for the response status200
- added the new
SAMLenum value to theitems/authenticationMethodresponse property for the response status200
Create a new dashboard administrator
Operation ID: createOrganizationAdmin
POST /organizations/{organizationId}/admins
- added the new
Cisco Customer Identityenum value to theauthenticationMethodresponse property for the response status201
- added the new
Cisco Unified Identityenum value to theauthenticationMethodresponse property for the response status201
- added the new
SAMLenum value to theauthenticationMethodresponse property for the response status201
Update an administrator
Operation ID: updateOrganizationAdmin
PUT /organizations/{organizationId}/admins/{adminId}
- added the new
Cisco Customer Identityenum value to theauthenticationMethodresponse property for the response status200
- added the new
Cisco Unified Identityenum value to theauthenticationMethodresponse property for the response status200
- added the new
SAMLenum value to theauthenticationMethodresponse property for the response status200
appliance
Create a new local DNS record
Operation ID: createOrganizationApplianceDnsLocalRecord
POST /organizations/{organizationId}/appliance/dns/local/records
- the request property
profile/idbecame required
Create a new split DNS profile
Operation ID: createOrganizationApplianceDnsSplitProfile
POST /organizations/{organizationId}/appliance/dns/split/profiles
- the request property
nameservers/addressesbecame required
Create a new intrusion policy for the organization.
Operation ID: createOrganizationApplianceSecurityIntrusionPolicy
POST /organizations/{organizationId}/appliance/security/intrusion/policies
- the request property
policy/basePolicybecame required
- the request property
policy/namebecame required
Create a rule group override for an intrusion policy.
Operation ID: createOrganizationApplianceSecurityIntrusionPolicyRuleGroupOverride
POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override
- the request property
override/securitybecame required
Update a rule group override for an intrusion policy.
Operation ID: updateOrganizationApplianceSecurityIntrusionPolicyRuleGroupOverride
PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override
- the request property
override/securitybecame required
Create a rule override for an intrusion policy.
Operation ID: createOrganizationApplianceSecurityIntrusionPolicyRuleOverride
POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override
- the request property
override/actionbecame required
Update a rule override for an intrusion policy.
Operation ID: updateOrganizationApplianceSecurityIntrusionPolicyRuleOverride
PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override
- the request property
override/actionbecame required
Return the configured third-party VPN peers for an organization.
Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers
GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers
- added the new
aws (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
aws_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
azure (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
azure_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
default (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella (deprecated)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
zscaler (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
zscaler_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
awsenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
azureenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
defaultenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
umbrellaenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
umbrella_short_livedenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
zscalerenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
Update the third party VPN peers for an organization
Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers
PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers
- removed the enum value
awsof the request propertypeers/items/ipsecPoliciesPreset
- removed the enum value
azureof the request propertypeers/items/ipsecPoliciesPreset
- removed the enum value
defaultof the request propertypeers/items/ipsecPoliciesPreset
- removed the enum value
umbrellaof the request propertypeers/items/ipsecPoliciesPreset
- removed the enum value
umbrella_short_livedof the request propertypeers/items/ipsecPoliciesPreset
- removed the enum value
zscalerof the request propertypeers/items/ipsecPoliciesPreset
- added the new
aws (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
aws_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
azure (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
azure_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
default (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella (deprecated)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
zscaler (insecure)enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
zscaler_v2enum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
aws (insecure)enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
aws_v2enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
azure (insecure)enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
azure_v2enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
default (insecure)enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
umbrella (deprecated)enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
umbrella (insecure)enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
umbrella_v2enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
zscaler (insecure)enum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
zscaler_v2enum value to the request propertypeers/items/ipsecPoliciesPreset
- removed the
awsenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
azureenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
defaultenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
umbrellaenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
umbrella_short_livedenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- removed the
zscalerenum value from thepeers/items/ipsecPoliciesPresetresponse property for the response status200
assurance
Create an alert profile
Operation ID: createOrganizationAssuranceAlertsProfile
POST /organizations/{organizationId}/assurance/alerts/profiles
- the request property
configuration/alertDestinationsbecame required
- the request property
configuration/enabledbecame required
Update an alert profile
Operation ID: updateOrganizationAssuranceAlertsProfile
PUT /organizations/{organizationId}/assurance/alerts/profiles/{profileId}
- the request property
configuration/alertDestinationsbecame required
- the request property
configuration/enabledbecame required
campusGateway
Provisions a cluster,adds campus gateways to it and associate/dissociate failover targets.
Operation ID: provisionOrganizationCampusGatewayClusters
POST /organizations/{organizationId}/campusGateway/clusters/provision
- the request property
nameservers/addressesbecame required
- the request property
network/idbecame required
cellularGateway
Add a service provider account.
Operation ID: createOrganizationCellularGatewayEsimsServiceProvidersAccount
POST /organizations/{organizationId}/cellularGateway/esims/serviceProviders/accounts
- the request property
serviceProvider/namebecame required
inventory
Claim an order by the secure unique order claim number, the order claim id
Operation ID: claimOrganizationInventoryOrders
POST /organizations/{organizationId}/inventory/orders/claim
- added the optional property
subscriptions/items/trialIdto the response with the200status
Preview the results and status of an order claim by the secure order id
Operation ID: previewOrganizationInventoryOrders
POST /organizations/{organizationId}/inventory/orders/preview
- added the optional property
subscriptions/items/trialIdto the response with the200status
- added the optional property
trialIdto the response with the200status
licensing
Moves a license to a different organization (coterm only)
Operation ID: moveOrganizationLicensingCotermLicenses
POST /organizations/{organizationId}/licensing/coterm/licenses/move
- the request property
destination/modebecame required
- the request property
destination/organizationIdbecame required
networks
Move networks from one organization to another
Operation ID: createNetworkMove
POST /organizations/{organizationId}/networks/moves
- the request property
network/idbecame required
- the request property
organizations/targetbecame required
policies
Create an Organization-Wide Policy Firewall Rule
Operation ID: createOrganizationPoliciesGlobalFirewallRulesetsRule
POST /organizations/{organizationId}/policies/global/firewall/rulesets/rules
- the request property
destinations/matchCriteriabecame required
- the request property
sources/matchCriteriabecame required
Update an Organization-Wide Policy Firewall Rule
Operation ID: updateOrganizationPoliciesGlobalFirewallRulesetsRule
PUT /organizations/{organizationId}/policies/global/firewall/rulesets/rules/{ruleId}
- the request property
destinations/matchCriteriabecame required
- the request property
sources/matchCriteriabecame required
Assign adaptive policy groups to a policy
Operation ID: assignOrganizationPoliciesGlobalGroupPoliciesAdaptivePolicyGroups
POST /organizations/{organizationId}/policies/global/group/policies/adaptivePolicyGroups/assign
- the request property
policy/idbecame required
Remove adaptive policy groups from a policy
Operation ID: removeOrganizationPoliciesGlobalGroupPoliciesAdaptivePolicyGroups
POST /organizations/{organizationId}/policies/global/group/policies/adaptivePolicyGroups/remove
- the request property
policy/idbecame required
Assign VLANs to a policy
Operation ID: assignOrganizationPoliciesGlobalGroupPoliciesApplianceVlans
POST /organizations/{organizationId}/policies/global/group/policies/appliance/vlans/assign
- the request property
policy/idbecame required
Remove VLANs from a policy
Operation ID: removeOrganizationPoliciesGlobalGroupPoliciesApplianceVlans
POST /organizations/{organizationId}/policies/global/group/policies/appliance/vlans/remove
- the request property
policy/idbecame required
Commit staged Organization-Wide Policy Ruleset Assignments
Operation ID: commitOrganizationPoliciesGlobalGroupPoliciesFirewallRulesetsAssignments
POST /organizations/{organizationId}/policies/global/group/policies/firewall/rulesets/assignments/commit
- the request property
policy/idbecame required
Assign Network Enforcement Targets to an Organization-Wide Policy
Operation ID: bulkOrganizationPoliciesGlobalGroupPoliciesNetworksAssignmentsAssign
POST /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkAssign
- the request property
policy/idbecame required
Remove Network Enforcement Targets from an Organization-Wide Policy
Operation ID: bulkOrganizationPoliciesGlobalGroupPoliciesNetworksAssignmentsDelete
POST /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkDelete
- the request property
policy/idbecame required
sase
Create a new Secure Access integration
Operation ID: createOrganizationSaseIntegration
POST /organizations/{organizationId}/sase/integrations
- the request property
api/keybecame required
- the request property
api/secretbecame required
Update the configuration for a site
Operation ID: updateOrganizationSaseSite
PUT /organizations/{organizationId}/sase/sites/{siteId}
- the request property
routing/defaultRoutebecame required
wireless
Returns the current Air Marshal settings for this network
Operation ID: getOrganizationWirelessAirMarshalSettingsByNetwork
GET /organizations/{organizationId}/wireless/airMarshal/settings/byNetwork
- the
itemsresponse property's maxItems was set to1000for the response status200
List the most recent Ethernet link speed, duplex, aggregation and power mode and status information for wireless devices.
Operation ID: getOrganizationWirelessDevicesEthernetStatuses
GET /organizations/{organizationId}/wireless/devices/ethernet/statuses
- removed the optional property
items/ports/items/poe/grantedfrom the response with the200status
- removed the optional property
items/ports/items/poe/isActivefrom the response with the200status
- removed the optional property
items/ports/items/poe/protocolfrom the response with the200status
- removed the optional property
items/ports/items/poe/requestedfrom the response with the200status
- removed the optional property
items/power/drawfrom the response with the200status
- removed the optional property
items/power/reportedAtfrom the response with the200status
Add new receiver for scanning API
Operation ID: createOrganizationWirelessLocationScanningReceiver
POST /organizations/{organizationId}/wireless/location/scanning/receivers
- the request property
network/idbecame required
- the request property
radio/typebecame required
Add new broker config for wireless MQTT
Operation ID: updateOrganizationWirelessMqttSettings
PUT /organizations/{organizationId}/wireless/mqtt/settings
- the request property
mqtt/enabledbecame required
- the request property
network/idbecame required
Create isolation allow list MAC entry for this organization
Operation ID: createOrganizationWirelessSsidsFirewallIsolationAllowlistEntry
POST /organizations/{organizationId}/wireless/ssids/firewall/isolation/allowlist/entries
- the request property
client/macbecame required
- the request property
network/idbecame required
- the request property
ssid/numberbecame required
Create a new SSID profile in an organization
Operation ID: createOrganizationWirelessSsidsProfile
POST /organizations/{organizationId}/wireless/ssids/profiles
- the request property
ssid/namebecame required
Assigns an SSID profile to an SSID in the organization
Operation ID: createOrganizationWirelessSsidsProfilesAssignment
POST /organizations/{organizationId}/wireless/ssids/profiles/assignments
- the request property
profile/idbecame required
- a breaking change was detected but the major version did not increase, from
v1.75.1to1.76.0
[ settings ]
general
Update the settings for a network
Operation ID: updateNetworkSettings
PUT /networks/{networkId}/settings
- the request property
namedVlans/enabledbecame required
[ sm ]
bypassActivationLockAttempts
Bypass activation lock attempt
Operation ID: createNetworkSmBypassActivationLockAttempt
POST /networks/{networkId}/sm/bypassActivationLockAttempts
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [sm:config:write]was added to the API
Bypass activation lock attempt status
Operation ID: getNetworkSmBypassActivationLockAttempt
GET /networks/{networkId}/sm/bypassActivationLockAttempts/{attemptId}
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [sm:config:read]was added to the API
devices
Reboot a set of endpoints
Operation ID: rebootNetworkSmDevices
POST /networks/{networkId}/sm/devices/reboot
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [sm:config:write]was added to the API
Shutdown a set of endpoints
Operation ID: shutdownNetworkSmDevices
POST /networks/{networkId}/sm/devices/shutdown
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [sm:config:write]was added to the API
Install applications on a device
Operation ID: installNetworkSmDeviceApps
POST /networks/{networkId}/sm/devices/{deviceId}/installApps
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [sm:config:write]was added to the API
Uninstall applications on a device
Operation ID: uninstallNetworkSmDeviceApps
POST /networks/{networkId}/sm/devices/{deviceId}/uninstallApps
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [sm:config:write]was added to the API
[ switch ]
dhcpServerPolicy
Add a server to be trusted by Dynamic ARP Inspection on this network
Operation ID: createNetworkSwitchDhcpServerPolicyArpInspectionTrustedServer
POST /networks/{networkId}/switch/dhcpServerPolicy/arpInspection/trustedServers
- the request property
ipv4/addressbecame required
routing
Update multicast settings for a network
Operation ID: updateNetworkSwitchRoutingMulticast
PUT /networks/{networkId}/switch/routing/multicast
- the request property
defaultSettings/floodUnknownMulticastTrafficEnabledbecame required
- the request property
defaultSettings/igmpSnoopingEnabledbecame required
settings
Returns the switch network settings
Operation ID: getNetworkSwitchSettings
GET /networks/{networkId}/switch/settings
- added the optional property
clientTrackingto the response with the200status
Update switch network settings
Operation ID: updateNetworkSwitchSettings
PUT /networks/{networkId}/switch/settings
- the request property
macBlocklist/enabledbecame required
- the request property
uplinkClientSampling/enabledbecame required
- the request property
uplinkSelection/candidatesbecame required
- the request property
uplinkSelection/failbackbecame required
- added the new optional request property
clientTracking
- added the optional property
clientTrackingto the response with the200status
[ vlanProfiles ]
assignments
Update the assigned VLAN Profile for devices in a network
Operation ID: reassignNetworkVlanProfilesAssignments
POST /networks/{networkId}/vlanProfiles/assignments/reassign
- the request property
vlanProfile/inamebecame required
[ wireless ]
airMarshal
Creates a new rule
Operation ID: createNetworkWirelessAirMarshalRule
POST /networks/{networkId}/wireless/airMarshal/rules
- the request property
match/stringbecame required
- the request property
match/typebecame required
Updates Air Marshal settings
Operation ID: updateNetworkWirelessAirMarshalSettings
PUT /networks/{networkId}/wireless/airMarshal/settings
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:write]was added to the API
- request body became optional
- the request property
defaultPolicybecame optional
electronicShelfLabel
Update the ESL settings of a wireless network
Operation ID: updateNetworkWirelessElectronicShelfLabel
PUT /networks/{networkId}/wireless/electronicShelfLabel
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:write]was added to the API
Get a list of all ESL eligible devices of a network
Operation ID: getNetworkWirelessElectronicShelfLabelConfiguredDevices
GET /networks/{networkId}/wireless/electronicShelfLabel/configuredDevices
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:read]was added to the API
ssids
List the MR SSIDs in a network
Operation ID: getNetworkWirelessSsids
GET /networks/{networkId}/wireless/ssids
- added the optional property
items/dot11kto the response with the200status
Return a single MR SSID
Operation ID: getNetworkWirelessSsid
GET /networks/{networkId}/wireless/ssids/{number}
- added the optional property
dot11kto the response with the200status
Update the attributes of an MR SSID
Operation ID: updateNetworkWirelessSsid
PUT /networks/{networkId}/wireless/ssids/{number}
- the request property
dot11r/enabledbecame required
- the request property
dot11w/enabledbecame required
- the request property
speedBurst/enabledbecame required
- added the new optional request property
dot11k
- added the optional property
dot11kto the response with the200status
Display the overrides for this SSID
Operation ID: getNetworkWirelessSsidOverrides
GET /networks/{networkId}/wireless/ssids/{number}/overrides
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:read]was added to the API
Update the overrides for this SSID
Operation ID: updateNetworkWirelessSsidOverrides
PUT /networks/{networkId}/wireless/ssids/{number}/overrides
- the endpoint scheme security
bearerAuthwas removed from the API
- the endpoint scheme security
meraki_api_keywas removed from the API
- the endpoint scheme security
oauth2: [wireless:config:write]was added to the API